import React, {  } from 'react';

import { lat2tile, lon2tile } from '../../lib/geo';
import { zoom0 } from '../../store/map';

const Track: React.FC<{ track: any; id: string }> = (props) => {
  const trkseg = props.track.track.trk[0].trkseg[0];
  const d = trkseg.trkpt.reduce(
    (previous: string, current: any, index: number) => {
      const action = index === 0 ? 'M' : index === 1 ? 'L' : '';
      return `${previous} ${action} ${lon2tile(
        current.$.lon,
        zoom0
      )}, ${lat2tile(current.$.lat, zoom0)}`;
    },
    ''
  );

  return <path d={d} className='track' />;
};

export default Track;
